Skip to navigation

Retrieve adjustments

Retrieves all adjustments associated with a specific contract, optionally scoped to a date range.

Token scopes: adjustments:read

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
  -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

contract_idstringRequired
Deel adjustment id.

Query parameters

fromstringOptionalformat: "date"
Filter adjustments by start date.
tostringOptionalformat: "date"
Filter adjustments by end date.

Response

Successful operation.
datalist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error